> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sends a refresh event to the origin

> This endpoint triggers a refresh event for the specified document, prompting the origin to update its state.



## OpenAPI

````yaml get /mr/api/v1/docs/refresh
openapi: 3.0.0
info:
  title: Document Upload API
  description: API to pre-sign the URL for uploading documents.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Records
    description: API related to records document management.
paths:
  /mr/api/v1/docs/refresh:
    get:
      summary: Sends a refresh event to the origin
      description: >-
        This endpoint triggers a refresh event for the specified document,
        prompting the origin to update its state.
      operationId: sendRefreshEvent
      parameters:
        - name: X-Pt-Id
          in: header
          required: true
          schema:
            type: string
          description: eka user id (OID)
      responses:
        '202':
          description: Accepted. The refresh event has been triggered.
        '204':
          description: No origin present to send the refresh event.
        '400':
          description: Bad request. Invalid request parameters.
        5XX:
          description: Unexpected error.
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````